/* SPDX-License-Identifier: GPL-2.0 */

#include <string.h>

static const char *errno_to_name__generic(int err)
{
	switch (err) {
	default: return "(unknown)";
	}
}
static const char *errno_to_name__x86(int err)
{
	switch (err) {
	default: return "(unknown)";
	}
}
static const char *errno_to_name__sparc(int err)
{
	switch (err) {
	default: return "(unknown)";
	}
}
static const char *errno_to_name__powerpc(int err)
{
	switch (err) {
	default: return "(unknown)";
	}
}
static const char *errno_to_name__parisc(int err)
{
	switch (err) {
	default: return "(unknown)";
	}
}
static const char *errno_to_name__mips(int err)
{
	switch (err) {
	default: return "(unknown)";
	}
}
static const char *errno_to_name__alpha(int err)
{
	switch (err) {
	default: return "(unknown)";
	}
}
const char *arch_syscalls__strerrno(const char *arch, int err)
{
	if (!strcmp(arch, "x86"))
		return errno_to_name__x86(err);
	if (!strcmp(arch, "sparc"))
		return errno_to_name__sparc(err);
	if (!strcmp(arch, "powerpc"))
		return errno_to_name__powerpc(err);
	if (!strcmp(arch, "parisc"))
		return errno_to_name__parisc(err);
	if (!strcmp(arch, "mips"))
		return errno_to_name__mips(err);
	if (!strcmp(arch, "alpha"))
		return errno_to_name__alpha(err);
	return errno_to_name__generic(err);
}
